Public Member Functions | Protected Member Functions | List of all members
clan::UDPSocket Class Reference

UDP/IP socket class. More...

`#include <udp_socket.h>`

Inheritance diagram for clan::UDPSocket:

## Public Member Functions
| UDPSocket ()
| Create socket object. More...
| ~UDPSocket ()
void | bind (const SocketName &endpoint)
| Bind socket to end point. More...
void | close ()
| Close connection. More...
int | read (void *data, int size, SocketName &endpoint)
| Read receved UDP packet. More...
void | send (const void *data, int size, const SocketName &endpoint)
| Send UDP packet to end point. More...

## Protected Member Functions
SocketHandle * | get_socket_handle () override

## Detailed Description

UDP/IP socket class.

## Constructor & Destructor Documentation

clan::UDPSocket::UDPSocket | ( |  | ) |

Create socket object.

clan::UDPSocket::~UDPSocket | ( |  | ) |

## Member Function Documentation

void clan::UDPSocket::bind | ( | const SocketName & | endpoint | ) |

Bind socket to end point.

void clan::UDPSocket::close | ( |  | ) |

Close connection.

SocketHandle* clan::UDPSocket::get_socket_handle | ( |  | ) |
| override protected virtual

Implements clan::NetworkEvent.

int clan::UDPSocket::read | ( | void * | data,
|  | int | size,
|  | SocketName & | endpoint
| ) |  |

Read receved UDP packet.

Returns
  Bytes read or 0 if no packet was available

void clan::UDPSocket::send | ( | const void * | data,
|  | int | size,
|  | const SocketName & | endpoint
| ) |  |

Send UDP packet to end point.

The documentation for this class was generated from the following file:

- udp_socket.h